package com.edgec.browserbackend.dto;


import com.edgec.browserbackend.domain.account.CloudUserOrder;

import java.util.HashMap;

/**
 * @Desc
 * @Author jason
 * @CreateTime 2020/2/13 12:36 下午
 **/
public class CloudUserOrderDto {
    private String tradeNo;
    private String username;
    private String orderTimeStamp;
    private String service;
    //0 -- newip, 1 --renew, 2 --ipkeptfee, 3 --deleteip, 4 -- stopinstanceonly , 5 -- bindinstance, 6 -- refundipkeptfee
    //7 -- newcvm , 8 -- renewcvm , 9 -- intelligroup, 10 -- resetcvm, 11 -- modifycvmspec
    private int chargeType;
    private String status;
    private float rate;
    private HashMap<String, String> details;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getOrderTimeStamp() {
        return orderTimeStamp;
    }

    public void setOrderTimeStamp(String orderTimeStamp) {
        this.orderTimeStamp = orderTimeStamp;
    }

    public int getChargeType() {
        return chargeType;
    }

    public void setChargeType(int chargeType) {
        this.chargeType = chargeType;
    }

    public float getRate() {
        return rate;
    }

    public void setRate(float rate) {
        this.rate = rate;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public HashMap<String, String> getDetails() {
        return details;
    }

    public void setDetails(HashMap<String, String> details) {
        this.details = details;
    }

    public String getService() {
        return service;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setService(String service) {
        this.service = service;
    }

    public static CloudUserOrderDto of(CloudUserOrder cloudUserOrder) {
        CloudUserOrderDto cloudUserOrderDto = new CloudUserOrderDto();
        cloudUserOrderDto.setChargeType(cloudUserOrder.getChargeType());
        cloudUserOrderDto.setDetails(cloudUserOrder.getDetails());
        cloudUserOrderDto.setOrderTimeStamp(cloudUserOrder.getOrderTimeStamp());
        cloudUserOrderDto.setRate(cloudUserOrder.getRate());
        cloudUserOrderDto.setStatus(cloudUserOrder.getStatus().toString());
        cloudUserOrderDto.setService(cloudUserOrder.getService().name());
        cloudUserOrderDto.setTradeNo(cloudUserOrder.getTradeNo());
        cloudUserOrderDto.setUsername(cloudUserOrder.getUsername());
        return cloudUserOrderDto;
    }
}
