package com.edgec.browserbackend.service.account;

import com.edgec.browserbackend.domain.account.UserRate;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface UserRateService {


    UserRate updateUserRate(String id, float money);

    boolean deleteUserRate(String userRateId);

    List<UserRate> getUserRate(String username);

    Page<UserRate> getUserRatePage(Pageable pageable);

    void addUserRate(UserRate userRate);

}
