package com.edgec.browserbackend.service.account.impl;

import com.edgec.browserbackend.domain.account.CompanyMonthReport;
import com.edgec.browserbackend.repository.MonthReportRepository;
import com.edgec.browserbackend.service.account.MonthReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

@Service
public class MonthReportServiceImpl implements MonthReportService {

    @Autowired
    private MonthReportRepository monthReportRepository;

    @Override
    public Page<CompanyMonthReport> listMonthReport(Pageable pageable) {
        Page<CompanyMonthReport> companyMonthReports = monthReportRepository.findAll(pageable);
        return companyMonthReports;
    }
}
