package com.edgec.browserbackend.repository;

import com.edgec.browserbackend.domain.account.Invoice;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface InvoiceRepository extends MongoRepository<Invoice, String> {

    List<Invoice> findByUsername(String username);

    List<Invoice> findByUsernameOrderByDateDesc(String username);

}
