package com.edgec.browserbackend.repository;

import com.edgec.browserbackend.domain.account.CompanyMonthReport;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.mongodb.repository.MongoRepository;


public interface MonthReportRepository extends MongoRepository<CompanyMonthReport,String> {

    Page<CompanyMonthReport> findAll(Pageable pageable);

    CompanyMonthReport findByYearAndMonth(int year, int month);

}
