package com.edgec.browserbackend.repository;

import com.edgec.browserbackend.domain.account.PreOrder;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PreOrderRepository extends MongoRepository<PreOrder, String> {

    List<PreOrder> findPreOrderByUserName(String userName);

    List<PreOrder> findPreOrderByUserNameAndTimeGreaterThanEqual(String userName, Long minutes);

}
